virtualbox 安装错误

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
头像
matliu
帖子: 38
注册时间: 2008-11-01 16:17
送出感谢: 0
接收感谢: 0

virtualbox 安装错误

#1

帖子 matliu » 2017-06-25 9:20

我在安装virtualbox的时候遇见了下面的问题,请问大家该怎么解决?

$ sudo apt-get install virtualbox-5.1

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
virtualbox-5.1 : 依赖: libqt5core5a (>= 5.6.0~beta) 但是 5.5.1+dfsg-16ubuntu7.5 正要被安装
依赖: libqt5widgets5 (>= 5.6.0~beta) 但是 5.5.1+dfsg-16ubuntu7.5 正要被安装
依赖: libqt5x11extras5 (>= 5.6.0) 但是 5.5.1-3build1 正要被安装
推荐: libsdl-ttf2.0-0 但是它将不会被安装
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。
头像
vickycq
论坛版主
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 995 次
联系:

Re: virtualbox 安装错误

#2

帖子 vickycq » 2017-06-25 9:38

matliu 写了:$ sudo apt-get install virtualbox-5.1
软件包 "virtualbox-5.1" 不在 Ubuntu 官方软件源中。
可能原因:您添加的第三方软件源提供的软件包 "virtualbox-5.1" 不支持 Ubuntu 16.04。相反地,它要求至少 Ubuntu 16.10
您可以移除该第三方软件源,安装 Ubuntu 官方软件源提供的软件包 "virtualbox"
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
poloshiao
论坛版主
帖子: 18245
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1948 次

Re: virtualbox 安装错误

#3

帖子 poloshiao » 2017-06-25 9:45

https://help.ubuntu.com/community/Virtu ... stallation
There are two versions of VirtualBox available: one packaged by Ubuntu and one by Oracle.
推薦 使用 one by Oracle

先將 前面從 ubuntu 套件庫安裝的 virtualbox 套件名稱 完全移除

複製下述指令 貼進終端機 (全部在一行) 執行

代码: 全选

sudo sh -c "echo 'deb http://download.virtualbox.org/virtualbox/debian '$(lsb_release -cs)' contrib non-free' > /etc/apt/sources.list.d/virtualbox.list" && wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -O- | sudo apt-key add - && sudo apt-get update && sudo apt-get install virtualbox-5.1
補充
https://www.virtualbox.org/wiki/Linux_Downloads
目前最新版本是 ualBox 5.1.22 for Linux
套件名稱是 virtualbox-5.1
头像
matliu
帖子: 38
注册时间: 2008-11-01 16:17
送出感谢: 0
接收感谢: 0

Re: virtualbox 安装错误

#4

帖子 matliu » 2017-06-25 20:56

问题没有解决,但是谢谢大家!
头像
aukomn
帖子: 137
注册时间: 2008-05-03 14:09
送出感谢: 6 次
接收感谢: 1 次
联系:

Re: virtualbox 安装错误

#5

帖子 aukomn » 2017-06-26 21:27

$ sudo apt-get install virtualbox virtualbox-qt
头像
matliu
帖子: 38
注册时间: 2008-11-01 16:17
送出感谢: 0
接收感谢: 0

Re: virtualbox 安装错误

#6

帖子 matliu » 2017-06-29 13:43

:em11 感谢!的确好用。后来我安装了5.0也好用
nylonfans
帖子: 2
注册时间: 2017-09-24 1:51
系统: ubuntu16.04
送出感谢: 0
接收感谢: 0

Re: virtualbox 安装错误

#7

帖子 nylonfans » 2017-09-24 2:02

我也没装上这个软件,下载回来的包安装是提示依赖的库文件没装,下了那个库不知道怎么编译只好放弃。
回复

回到 “虚拟机和虚拟化”